#!/usr/bin/env python

import glib
import hal
import gladevcp
import hal_glib

comp = hal.component('pause-test')
gcomp = hal_glib.GComponent(comp)

action = gladevcp.EMC_ToggleAction_Pause()

pin = gcomp.newpin("toggle", hal.HAL_BIT, hal.HAL_IN)

action.hal_init(comp, "action")

def toggle_pause(p):
	print "Value changed: ", p.value
	if not p.value:
		return
	action.set_active(not action.get_active())

pin.connect('value-changed', toggle_pause)

main = glib.MainLoop()
try:
	comp.ready()
	main.run()
finally:
	comp.exit()
